Ubuntu

LASH to ladish transition

Reported by Alessio Treglia on 2011-06-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lash (Debian)
Fix Released
Unknown
livemix (Ubuntu)
Undecided
Unassigned
muse (Ubuntu)
Medium
Alessio Treglia
patchage (Ubuntu)
Medium
Unassigned
phasex (Ubuntu)
Medium
Unassigned
specimen (Ubuntu)
Undecided
Unassigned
ubuntustudio-meta (Ubuntu)
Undecided
Unassigned
zynaddsubfx (Ubuntu)
Medium
Unassigned

Bug Description

LASH Audio Session Handler was abandoned upstream in favor of the new session management system, called ladish: LADI Session Handler.
ladish will allow users to run many JACK applications at once and save/restore their configuration with few mouse clicks.

What we need now is dropping the LASH support for all those packages able to build without it.
On those packages which need to find lash's headers and development libraries to build, we just need to replace the build-dependencies on liblash-dev with liblash-compat-dev, which provides a dummy support for the old LASH layer; the programs compiled against the new liblash-compat won't be able to cooperate with the old lashd daemon anyway.

Changed in zynaddsubfx (Ubuntu):
importance: Undecided → Medium
status: New → Fix Released
Changed in phasex (Ubuntu):
importance: Undecided → Medium
Changed in patchage (Ubuntu):
importance: Undecided → Medium
Changed in muse (Ubuntu):
importance: Undecided → Medium
description: updated
Changed in patchage (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phasex - 0.12.0+m1-5

---------------
phasex (0.12.0+m1-5) unstable; urgency=low

  * Upload to unstable.
 -- Alessio Treglia <email address hidden> Tue, 31 May 2011 15:57:12 +0200

Changed in phasex (Ubuntu):
status: New → Fix Released
Changed in muse (Ubuntu):
status: New → In Progress
assignee: nobody → Alessio Treglia (quadrispro)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package muse - 1.1-0ubuntu4

---------------
muse (1.1-0ubuntu4) oneiric; urgency=low

  * Fix FTBFS with GCC4.6 (LP: #770801).
  * Drop LASH support (LP: #791084).
 -- Alessio Treglia <email address hidden> Wed, 01 Jun 2011 15:58:28 +0200

Changed in muse (Ubuntu):
status: In Progress → Fix Released
Changed in muse (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Changed in lash (Debian):
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livemix - 0.49~rc3-0ubuntu6

---------------
livemix (0.49~rc3-0ubuntu6) oneiric; urgency=low

  * Build against liblash-compat (LP: #791084).
 -- Colin Watson <email address hidden> Thu, 18 Aug 2011 12:01:30 +0100

Changed in livemix (Ubuntu):
status: New → Fix Released
Colin Watson (cjwatson) wrote :

[Updating] specimen (0.5.2rc3-1.1ubuntu3 [Ubuntu] < 0.5.2rc3-4 [Debian])
 * Trying to add specimen...
2011-08-18 11:13:19 INFO specimen_0.5.2rc3.orig.tar.gz: already in distro - downloading from librarian
2011-08-18 11:13:19 INFO - <specimen_0.5.2rc3-4.dsc: downloading from http://ftp.debian.org/debian/>
2011-08-18 11:13:19 INFO - <specimen_0.5.2rc3-4.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-08-18 11:13:19 INFO - <specimen_0.5.2rc3.orig.tar.gz: cached>
I: specimen [universe] -> specimen_0.5.2rc3-1.1ubuntu3 [universe].

specimen (0.5.2rc3-2) unstable; urgency=low

  * Taking over package by pkg-multimedia-maintainers team (Closes: #555190).

  [ Jaromír Mikeš ]
  * ACK nmu.
  * Set myself as uploader.
  * one_dep_per_line_style applied to control file.
  * Bump Standards.
  * Vcs-* fields added.
  * Added Homepage field (Closes: #609707).
  * Switch to DH 7.
  * Updated copyright file to DEP-5 SVN rev.166.
  * Add .gitignore file.
  * Switch to source format 3.0 (quilt).
  * Add gpb config file.
  * Update copyright file.
  * Make debian/rules file executable.
  * Build-depend on autotools_dev.
  * Fix duplication in dependencies.
  * Add patch to fix build issues.
  * Remove unneded dirs file.
  * Add misc:Depends added to binary package's dependencies.
  * specimen.manpages file added
  * menu file fixed
  * install desktop file
  * fixed desktop file
  * fixed upstream contact in copyright file
  * Replace build-dependency on libjack0.100.0-dev with
    libjack-dev (Closes: #527438).
  * Provide icon for specimen.
  * Add specimen.install.
  * Remove install override from rules.
  * Fix desktop file to use icon.
  * Remove redundant override_dh_installchangelogs.

  [ Alessio Treglia ]
  * debian/copyright:
    - Sources are taken from http://zhevny.com/specimen/files/.
  * Fix watch file.
  * debian/control:
    - Improve description:
      + Fix lintian's description-synopsis-starts-with-article.
      + s/controled/controlled/.
  * Disable LASH support:
    - It's broken.
    - We're going to remove lash in favor of ladish.

 -- Jaromír Mikeš <email address hidden> Thu, 17 Feb 2011 03:37:36 +0100

Changed in specimen (Ubuntu):
status: New → Fix Released
Colin Watson (cjwatson) wrote :

Fixed in ubuntustudio-meta 0.85 following this seed change:

revno: 1269
committer: Janne (astraljava) Jokitalo <email address hidden>
branch nick: ubuntustudio.oneiric
timestamp: Sat 2011-07-09 17:19:21 +0300
message:
  Commented out lashd as per the migration to ladish is not complete yet, but underway

Changed in ubuntustudio-meta (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.